org.jbpm.workflow.instance.node

## Class ForEachNodeInstance.ForEachJoinNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.node.ForEachNodeInstance.ForEachJoinNodeInstance

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance
  Enclosing class:
    ForEachNodeInstance

      public class ForEachNodeInstance.ForEachJoinNodeInstance
      extends NodeInstanceImpl

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForEachJoinNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ForEachNode.ForEachJoinNode` | `getForEachJoinNode()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, configureSla, executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachJoinNodeInstance

          public ForEachJoinNodeInstance()

  - ### Method Detail

    - #### getForEachJoinNode

          public ForEachNode.ForEachJoinNode getForEachJoinNode()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.